Groovy 1.7.0

## org.codehaus.groovy.transform
Class PackageScopeASTTransformation

    java.lang.Object
      org.codehaus.groovy.transform.PackageScopeASTTransformation

All Implemented Interfaces:
  ASTTransformation

    @GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    class PackageScopeASTTransformation
    extends Object

Handles transformation for the @PackageScope annotation. This is experimental, use at your own risk.

author:
  Paul King

Constructor Summary
`PackageScopeASTTransformation()`

Method Summary
`void` | `visit(ASTNode[] nodes, SourceUnit source)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### PackageScopeASTTransformation

    PackageScopeASTTransformation()

Method Detail

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

Copyright © 2003-2009 The Codehaus. All rights reserved.